# ----------------------------------------------------------------------------
# Csound Tcl Partitur-Skript      "Praeludium v. Bertini"          SEP-21-2002
# Copyright (c) 2002 by Hartmut Schwarz               matut@matut-spielwerk.de
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2 
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public
# License along with this program; if not, write to the Free
# Software Foundation, Inc., 59 Temple Place, Suite 330, Boston,
# MA 02111-1307, USA.
#
# ----------------------------------------------------------------------------

# ------------------------------------ ins Tcl-Arbeitsverzeichnis wechseln ---
cd "[file dirname $argv0]/..";

# ------------------------------------------- allgemeine Grundlagen lernen ---
source "basics/ref.tcl";   # alles ueber Referenzvariablen
source "basics/tree.tcl";  # alles ueber Datenbaeume

# --------------------------------- die Grundlagen der Csound-Musik lernen ---
source "basics/music.tcl";

# ------------------------------------------------------ das Spiel beginnt ---
set root [plant];     # einen neuen Klangbaum pflanzen
# Henri Bertini / Praeludium
set stem [sprout $root {vlbs 72.5 kybs 12}];
set song [sprout $stem\
 {song {} vars {\
  {cmod su;...'.'.:;;;;;/./. chbt ._/._/._}\
  {cmod su;...'.'.|.:  chbt .|.}\
 }}\
 {more {\
  {csym F-1//}\
  {csym (C,F,A)|(c) }\
  {csym (C,G,Hb)/(E)/}\
  {csym (C,G,Hb)|(c)}\
  {csym F-1/(Eb)/}\
  {cres 5 csym (C,F,A)|(f)}\
  {vlbs {[expr [STEM vlbs]+5]} csym (F,Hb,Hb)-1/(D)/}\
  {vlbs {[expr [STEM vlbs]+5]} csym (F,Hb,Hb)-1|(f)}\
  {vlbs {[expr [STEM vlbs]+5]} csym Fm-1/(C)/}\
  {vlbs {[expr [STEM vlbs]+5]} csym (C,F,A)|(f)}\
  {vlbs {[expr [STEM vlbs]+5]} csym D0/(H)/}\
  {vlbs {[expr [STEM vlbs]+5]} csym (D,F,G)|(f)}\
  {csym F-1/(C)/}\
  {csym (C,F,A)|(f)}\
  {cres -2.5 csym (C,G,Hb)//}\
  {cres -2.5 vlbs {[expr [STEM vlbs]-2.5]} csym (C,G,Hb)|(a)}\
  {cres -2.5 vlbs {[expr [STEM vlbs]-5.0]} csym F-1//}\
  {cres -2.5 vlbs {[expr [STEM vlbs]-7.5]} csym (f,d,A)/(F)\
   cmod su...:;;;;;;;;;;;;;;/;.:;;; chbt .__/.__}\
 }}\
];
begin $root "[file rootname [file tail $argv0]]" 0.0;
touch $stem 36;
end $root 0.5;
return;
