# ----------------------------------------------------------------------------
# Csound Tcl Partitur-Skript      "Fingeruebungen"                 NOV-08-2002
# Copyright (c) 2002 by Hartmut Schwarz               matut@matut-spielwerk.de
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2 
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public
# License along with this program; if not, write to the Free
# Software Foundation, Inc., 59 Temple Place, Suite 330, Boston,
# MA 02111-1307, USA.
#
# ----------------------------------------------------------------------------

# ------------------------------------ ins Tcl-Arbeitsverzeichnis wechseln ---
cd "[file dirname $argv0]/..";

# ------------------------------------------- allgemeine Grundlagen lernen ---
source "basics/ref.tcl";   # alles ueber Referenzvariablen
source "basics/tree.tcl";  # alles ueber Datenbaeume

# --------------------------------- die Grundlagen der Csound-Musik lernen ---
source "basics/music.tcl";

# ------------------------------------------------------ das Spiel beginnt ---
set root [plant]; # einen neuen Klangbaum pflanzen
# Fingeruebungen
set stem [TREEnew $root {chtv 2}]
sprout $stem\
  {song {} vars {\
   {tmtv 1.000 kybs 12 tvtv  .7 vlbs 76.0}\
   {tmtv 0.950 kybs 13 tvtv  .7 vlbs 76.0}\
   {tmtv 0.900 kybs 14 tvtv  .7 vlbs 76.0}\
   {tmtv 0.850 kybs 15 tvtv  .7 vlbs 76.0}\
   {tmtv 0.800 kybs 16 tvtv  .7 vlbs 76.0}\
   {tmtv 0.750 kybs 17 tvtv  .8 vlbs 76.0}\
   {tmtv 0.700 kybs 18 tvtv  .8 vlbs 76.0}\
   {tmtv 0.650 kybs 19 tvtv  .8 vlbs 76.0}\
   {tmtv 0.600 kybs 20 tvtv  .8 vlbs 76.0}\
   {tmtv 0.550 kybs 21 tvtv  .8 vlbs 76.0}\
   {tmtv 0.450 kybs 22 tvtv  .9 vlbs 76.0}\
   {tmtv 0.400 kybs 23 tvtv  .9 vlbs 76.0}\
   {tmtv 0.350 kybs 24 tvtv  .9 vlbs 76.0}\
   {tmtv 0.300 kybs 25 tvtv  .9 vlbs 76.0}\
   {tmtv 0.250 kybs 26 tvtv  .9 vlbs 76.0}\
   {tmtv 0.200 kybs 27 tvtv 1.0 vlbs 76.0}\
   {tmtv 0.150 kybs 28 tvtv 1.0 vlbs 76.0}\
   {tmtv 0.100 kybs 29 tvtv 1.0 vlbs 76.0}\
   {tmtv 0.050 kybs 30 tvtv 1.0 vlbs 76.0}\
   {tmtv 0.049 kybs 31 tvtv 1.0 vlbs 76.0}\
   {tmtv 0.048 kybs 32 tvtv 1.0 vlbs 76.0}\
   {tmtv 0.047 kybs 33 tvtv 1.0 vlbs 76.0}\
   {tmtv 0.046 kybs 34 tvtv 1.0 vlbs 76.0}\
   {tmtv 0.045 kybs 35 tvtv 1.0 vlbs 76.0}\
   {tmtv 0.044 kybs 36 tvtv 1.0 vlbs 76.0}\
   {tmtv 0.043 kybs 37 tvtv 1.0 vlbs 76.0}\
   {tmtv 0.042 kybs 38 tvtv 1.0 vlbs 76.0}\
   {tmtv 0.041 kybs 39 tvtv 1.0 vlbs 76.0}\
   {tmtv 0.040 kybs 40 tvtv 1.0 vlbs 76.0}\
   {tmtv 0.039 kybs 41 tvtv 1.0 vlbs 76.0}\
   {tmtv 0.038 kybs 42 tvtv 1.0 vlbs 76.0}\
   {tmtv 0.037 kybs 43 tvtv 1.0 vlbs 76.0}\
   {tmtv 0.036 kybs 44 tvtv 1.0 vlbs 76.0}\
   {tmtv 0.035 kybs 45 tvtv 1.0 vlbs 76.0}\
   {tmtv 0.034 kybs 46 tvtv 1.0 vlbs 76.0}\
   {tmtv 0.033 kybs 47 tvtv 1.0 vlbs 76.0}\
   {tmtv 0.032 kybs 48 tvtv 1.0 vlbs 76.0}\
   {tmtv 0.031 kybs 49 tvtv 1.0 vlbs 76.0}\
   {tmtv 0.030 kybs 50 tvtv 1.0 vlbs 76.0}\
   {tmtv 0.029 kybs 51 tvtv 1.0 vlbs 76.0}\
   {tmtv 0.028 kybs 52 tvtv 1.0 vlbs 76.0}\
   {tmtv 0.027 kybs 53 tvtv 1.0 vlbs 76.0}\
   {tmtv 0.026 kybs 54 tvtv 1.0 vlbs 76.0}\
   {tmtv 0.025 kybs 55 tvtv 1.0 vlbs 76.0}\
   {tmtv 0.024 kybs 56 tvtv 1.0 vlbs 76.0}\
   {tmtv 0.023 kybs 57 tvtv 1.0 vlbs 76.0}\
   {tmtv 0.022 kybs 58 tvtv 1.0 vlbs 76.0}\
   {tmtv 0.021 kybs 59 tvtv 1.0 vlbs 76.0}\
   {tmtv 0.020 kybs 60 tvtv 1.0 vlbs 76.0}\
   {tmtv 0.019 kybs 61 tvtv 1.0 vlbs 75.9}\
   {tmtv 0.018 kybs 62 tvtv 1.0 vlbs 75.8}\
   {tmtv 0.017 kybs 63 tvtv 1.0 vlbs 75.7}\
   {tmtv 0.016 kybs 64 tvtv 1.0 vlbs 75.6}\
   {tmtv 0.015 kybs 65 tvtv 1.0 vlbs 75.5}\
   {tmtv 0.014 kybs 66 tvtv 1.0 vlbs 75.4}\
   {tmtv 0.013 kybs 67 tvtv 1.0 vlbs 75.3}\
   {tmtv 0.012 kybs 68 tvtv 1.0 vlbs 75.2}\
   {tmtv 0.011 kybs 69 tvtv 1.0 vlbs 75.1}\
   {tmtv 0.010 kybs 70 tvtv 1.0 vlbs 75.0}\
   {tmtv 0.009 kybs 71 tvtv 1.0 vlbs 74.9}\
   {tmtv 0.008 kybs 72 tvtv 1.0 vlbs 74.8}\
  }}\
  {rept 25 more {\
   {song {} vars {\
    {cmod .:..:..:..:./''''.:..:..:..:.}\
    {cmod ''''.;.;...;.;../.;.;...;.;..}\
    {cmod .;...;.;...;/''''.;...;.;...;}\
    {cmod ......../''''........}\
    {cmod ''''......../........}\
   }}\
   {csym (C,D,E,F,G,F,E,D)/(C,D,E,F,G,F,E,D)}\
   {csym (C,E,D,F,G,E,F,D)/(C,E,D,F,G,E,F,D)}\
   {csym (G,F,E,F,E,D,C,E)/(G,F,E,F,E,D,C,E)}\
   {csym (E,F,E,F,D,C,G,F)/(E,F,E,F,D,C,G,F)}\
  }}\
 ;
begin $root "[file rootname [file tail $argv0]]" 0.5;
touch $stem 1586;
end $root 0.1;
