# ----------------------------------------------------------------------------
# Csound Tcl Partitur-Skript  "Molly Malone"                       NOV-26-2003
# Copyright (c) 2002 by Hartmut Schwarz               matut@matut-spielwerk.de
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2 
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public
# License along with this program; if not, write to the Free
# Software Foundation, Inc., 59 Temple Place, Suite 330, Boston,
# MA 02111-1307, USA.
#
# ----------------------------------------------------------------------------

# ------------------------------------ ins Tcl-Arbeitsverzeichnis wechseln ---
cd "[file dirname $argv0]/..";

# ------------------------------------------- allgemeine Grundlagen lernen ---
source "basics/ref.tcl";   # alles ueber Referenzvariablen
source "basics/tree.tcl";  # alles ueber Datenbaeume

# --------------------------------- die Grundlagen der Csound-Musik lernen ---
source "basics/music.tcl";

# ------------------------------------------------------ das Spiel beginnt ---
set root [plant]; # einen neuen Klangbaum pflanzen
# Molly Malone
set stem [TREEnew $root {tmtv 4 vlbs 73.5 kybs 17}];
sprout $stem\
{rept 54 chbt ./././. more {\
 {csym (2,7,11)/(2,7,11)/(2,7,11)/(2,7,11) cmod ;/u....../u.../u... vlbs 77 cres -3.5}\
 {csym (7,9,12)/(7,9,12)/(7,9,12)/(7,9,12) cmod ;/u....../u.../u...}\
 {csym (2,7,11)/(2,7,11)/(2,7,11)/(2,7,11) cmod u.;.*.;;*.;*..;;/u....../u.../u...}\
 {csym (7,9,12)/(7,9,12)/(7,9,12)/(7,9,12) cmod u.*..;*.;;*.*..;;/u....../u.../u...}\
 {csym (11,9,7,14,12)/(7,11,14)/(7,11,14) cmod u'.;**.;;..;.;;./u....../u.../u...}\
 {csym (11,9)/(11,9)/(11,9) cmod u.;*..;;*.;*.;::/u....../u.../u...}\
 {csym (2,7,11)/(2,7,11)/(2,7,11)/(2,7,11) cmod u.*..;;*.*.;*..;;/u....../u.../u...}\
 {csym (7,9,12)/(7,9,12)/(7,9,12)/(7,9,12) cmod u.;.;*.;;*.*..;;/u....../u.../u...}\
 {csym (9,11,12,14)/(9,12,14)/(9,12,14)/(9,12,14) cmod u.*..'.;;''.;''.'.;;/u....../u.../u...}\
 {csym (12,11,7,9)/(11,9,7)/(11,9,7)/(11,9,7) cmod u.;.;;..;''.;;;/u....../u.../u...}\
 {csym (2,7,11)/(2,7,11)/(2,7,11)/(2,7,11) cmod u.;.;;*.*.;*..;;/u....../u.../u...}\
 {csym (7,9,12)/(7,9,12)/(7,9,12)/(7,9,12) cmod u.;.;;*.*.;*..;;/u....../u.../u...}\
 {csym (9,11,12,14)/(9,12,14)/(9,12,14)/(9,12,14) cmod u.*..'.;;''.;''.'.;;/u....../u.../u...}\
 {csym (12,11,7,9)/(11,9,7)/(11,9,7)/(11,9,7) cmod u.;.;;..;''.;;;/u....../u.../u... cres 3.5}\
 {csym (2,7,11)/(2,7,11)/(2,7,11)/(2,7,11) cmod u.;.;;*.*.;*..;;/u....../u.../u... vlbs 77}\
 {csym (7,9,12)/(7,9,12)/(7,9,12)/(7,9,12) cmod u.;.;;*.*.;*..;;/u....../u.../u... vlbs 77}\
 {csym (9,11,12,14)/(9,12,14)/(9,12,14)/(9,12,14) cmod u.*..'.;;''.;''.'.;;/u....../u.../u... vlbs 77}\
 {csym (12,11,7,9)/(11,9,7)/(11,9,7)/(11,9,7) cmod u.;.;;..;''.;;;/u....../u.../u... vlbs 77}\
}}\
{csym (2,7,11)/(2,7,11)/(2,7,11)/(2,7,11) cmod u.;.;;*.*.;*..;;/u....../u.../u... vlbs 77 cres -3.5}\
{csym (7,9,12)/(7,9,12)/(7,9,12)/(7,9,12) cmod u.;.;;*.*.;*..;;/u....../u.../u...}\
{csym (9,11,12,14)/(9,12,14)/(9,12,14)/(9,12,14) cmod u.*..'.;;''.;''.'.;;/u....../u.../u...}\
{csym (12,11,7,9)/(11,9,7)/(11,9,7)/(11,9,7) cmod u.;.;;..;''.;;;/u....../u.../u... chbt ./././.}\
{csym (2,7,11)/(2,7,11)/(2,7,11)/(2,7,11) cmod u.;.;;*.*.;*..;;/u....../u.../u... chbt ./././._ cres -.5}\
{csym (7,9,12)/(7,9,12)/(7,9,12) cmod u.;.;;*.*.;*..;;/u....../u... chbt ././._ vlbs 73.0 cres -.5}\
{csym (9,11,12,14)/(9,12,14) cmod u.*..'.;;''.;''.'.;;/u... chbt ./._ vlbs 72.5 cres -0.5}\
{csym (12,11,7,9) cmod u.;.;;..;''.;;;;;;;;; chbt . tmtv 6 vlbs 72.0 cres -0.5}\
 ;
begin $root "[file rootname [file tail $argv0]]" 0.5;
touch $stem 62;
end $root 0.5;
return;
# alte Version f. kybs = 19 
{rept 54 chbt ./././. more {\
 {csym (0,5,9)/(0,5,9)/(0,5,9)/(0,5,9) cmod ;/u....../u.../u... vlbs 77 cres -3.5}\
 {csym (5,7,10)/(5,7,10)/(5,7,10)/(5,7,10) cmod ;/u....../u.../u...}\
 {csym (0,5,9)/(0,5,9)/(0,5,9)/(0,5,9) cmod u.;.*.;;*.;*..;;/u....../u.../u...}\
 {csym (5,7,10)/(5,7,10)/(5,7,10)/(5,7,10) cmod u.*..;*.;;*.*..;;/u....../u.../u...}\
 {csym (9,7,5,12,10)/(5,9,12)/(5,9,12) cmod u'.;**.;;..;.;;./u....../u.../u...}\
 {csym (9,7)/(9,7)/(9,7) cmod u.;*..;;*.;*.;::/u....../u.../u...}\
 {csym (0,5,9)/(0,5,9)/(0,5,9)/(0,5,9) cmod u.*..;;*.*.;*..;;/u....../u.../u...}\
 {csym (5,7,10)/(5,7,10)/(5,7,10)/(5,7,10) cmod u.;.;*.;;*.*..;;/u....../u.../u...}\
 {csym (7,9,10,12)/(7,10,12)/(7,10,12)/(7,10,12) cmod u.*..'.;;''.;''.'.;;/u....../u.../u...}\
 {csym (10,9,5,7)/(9,7,5)/(9,7,5)/(9,7,5) cmod u.;.;;..;''.;;;/u....../u.../u...}\
 {csym (0,5,9)/(0,5,9)/(0,5,9)/(0,5,9) cmod u.;.;;*.*.;*..;;/u....../u.../u...}\
 {csym (5,7,10)/(5,7,10)/(5,7,10)/(5,7,10) cmod u.;.;;*.*.;*..;;/u....../u.../u...}\
 {csym (7,9,10,12)/(7,10,12)/(7,10,12)/(7,10,12) cmod u.*..'.;;''.;''.'.;;/u....../u.../u...}\
 {csym (10,9,5,7)/(9,7,5)/(9,7,5)/(9,7,5) cmod u.;.;;..;''.;;;/u....../u.../u... cres 3.5}\
 {csym (0,5,9)/(0,5,9)/(0,5,9)/(0,5,9) cmod u.;.;;*.*.;*..;;/u....../u.../u... vlbs 77}\
 {csym (5,7,10)/(5,7,10)/(5,7,10)/(5,7,10) cmod u.;.;;*.*.;*..;;/u....../u.../u... vlbs 77}\
 {csym (7,9,10,12)/(7,10,12)/(7,10,12)/(7,10,12) cmod u.*..'.;;''.;''.'.;;/u....../u.../u... vlbs 77}\
 {csym (10,9,5,7)/(9,7,5)/(9,7,5)/(9,7,5) cmod u.;.;;..;''.;;;/u....../u.../u... vlbs 77}\
}}\
{csym (0,5,9)/(0,5,9)/(0,5,9)/(0,5,9) cmod u.;.;;*.*.;*..;;/u....../u.../u... vlbs 77 cres -3.5}\
{csym (5,7,10)/(5,7,10)/(5,7,10)/(5,7,10) cmod u.;.;;*.*.;*..;;/u....../u.../u...}\
{csym (7,9,10,12)/(7,10,12)/(7,10,12)/(7,10,12) cmod u.*..'.;;''.;''.'.;;/u....../u.../u...}\
{csym (10,9,5,7)/(9,7,5)/(9,7,5)/(9,7,5) cmod u.;.;;..;''.;;;/u....../u.../u... chbt ./././.}\
{csym (0,5,9)/(0,5,9)/(0,5,9)/(0,5,9) cmod u.;.;;*.*.;*..;;/u....../u.../u... chbt ./././._ cres -.5}\
{csym (5,7,10)/(5,7,10)/(5,7,10) cmod u.;.;;*.*.;*..;;/u....../u... chbt ././._ vlbs 73.0 cres -.5}\
{csym (7,9,10,12)/(7,10,12) cmod u.*..'.;;''.;''.'.;;/u... chbt ./._ vlbs 72.5 cres -0.5}\
{csym (10,9,5,7) cmod u.;.;;..;''.;;;;;;;;; chbt . tmtv 6 vlbs 72.0 cres -0.5}\
