# ----------------------------------------------------------------------------
# Csound Tcl Partitur-Skript    "Instrumententest"                 NOV-12-2002
# Copyright (c) 2002 by Hartmut Schwarz               matut@matut-spielwerk.de
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2 
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public
# License along with this program; if not, write to the Free
# Software Foundation, Inc., 59 Temple Place, Suite 330, Boston,
# MA 02111-1307, USA.
#
# ----------------------------------------------------------------------------

# ------------------------------------ ins Tcl-Arbeitsverzeichnis wechseln ---
cd "[file dirname $argv0]/..";

# ------------------------------------------- allgemeine Grundlagen lernen ---
source "basics/ref.tcl";   # alles ueber Referenzvariablen
source "basics/tree.tcl";  # alles ueber Datenbaeume

# --------------------------------- die Grundlagen der Csound-Musik lernen ---
source "basics/music.tcl";

# ------------------------------------------------------ das Spiel beginnt ---
set root [plant]; # einen neuen Klangbaum pflanzen
# Test mit lang angehaltenen Toenen
set stem [TREEnew $root {cmod ... tmtv 10}];
begin $root "[file rootname [file tail $argv0]]" 0.5;
touch $stem 5;
end $root 0.5;
return;
# Test mit Mustern in Akkordsymbolen
set stem [TREEnew $root {ende {;} muster (7,4,0) vlbs 70\
 csym <<muster>/>3 cmod {<.<.*>3./>2.../<ende>5} chbt <.;./>3 tmtv 2}];
sprout $stem\
 {kybs  0 csym (5,2,0) cres 10 cmod ... chbt .....}\
 {kybs  0 csym (5,2,0) vlbs 80 cmod ... chbt ..}\
 {kybs  0 muster (5,2,0) cres 6}\
 {kybs  36 muster (5,4,3) cres 6}\
 {kybs  48 cres 6}\
 ;
begin $root "[file rootname [file tail $argv0]]" 0.0;
touch $stem 1;
end $root 0.0;
# Test der Richtungskoeffizienten
set stem [TREEnew $root {isze 100 idst 100 kybs 24}];
sprout $stem\
{iazm   0 idst 340}\
{iazm  30 idst 320}\
{iazm  60 idst 300}\
{iazm  90 idst 280}\
{iazm 120 idst 260}\
{iazm 150 idst 240}\
{iazm 180 idst 220}\
{iazm 210 idst 200}\
{iazm 240 idst 180}\
{iazm 270 idst 160}\
{iazm 300 idst 140}\
{iazm 330 idst 120}\
{iazm   0}\
{iazm  30}\
{iazm  60}\
{iazm  90}\
{iazm 120}\
{iazm 150}\
{iazm 180}\
{iazm 210}\
{iazm 240}\
{iazm 270}\
{iazm 300}\
{iazm 330}\
{iazm 360}\
 ;
begin $root "[file rootname [file tail $argv0]]" 0.5;
touch $stem 25;
end $root 0.5;
